package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.enums.CONSTRAINT_TYPE;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :工序输入
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@Entity
@Table(name = "APS_OPER_INPUT")
@Api("工序输入")
public class OperInput extends BaseAPS {
    @Column(name="INPUT_COUNT")
    @ApiParam(value ="输入数量")
    private Double inputCount;

    @Column(name="YIELD")
    @ApiParam(value ="成品率")
    private Double yield;

    @Column(name="FIX_SCRAP_COUNT")
    @ApiParam(value ="固定报废数")
    private Double fixScrapCount;

    @Column(name="CONS_TYPE")
    @ApiParam(value ="接续方式")
    private CONSTRAINT_TYPE consType;

    @Column(name="MAX_SPACE_TIME")
    @ApiParam(value ="最大时间间隔")
    private String maxSpaceTime;

    @Column(name="MIN_SPACE_TIME")
    @ApiParam(value ="最小时间间隔")
    private String minSpaceTime;
}
