package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.enums.CONSTRAINT_TYPE;
import cn.estsh.i3plus.pojo.aps.enums.TAIL_DEAL;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :工序
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@Entity
@Table(name = "APS_OPERATION")
@Api("工序")
public class Operation extends BaseAPS {

    @Column(name="NUMBER")
    @ApiParam(value ="工序号")
    private Integer number;

    @Column(name="PREV_COUNT_RATE")
    @ApiParam(value ="前工序数量比")
    private Double prevCountRate;

    @Column(name="YIELD")
    @ApiParam(value ="成品率")
    private Double yield;

    @Column(name="FIX_SCRAP_COUNT")
    @ApiParam(value ="固定报废数")
    private Double fixScrapCount;

    @Column(name="RATIO")
    @ApiParam(value ="分割比例")
    private String ratio;

    @Column(name="COUNT")
    @ApiParam(value ="分割数量")
    private Double count;

    @Column(name="BATCH")
    @ApiParam(value ="分割批量")
    private Double batch;

    @Column(name="MIN_BATCH")
    @ApiParam(value ="最小批量")
    private Double minBatch;

    @Column(name="TAIL_DEAL")
    @ApiParam(value ="尾数处理")
    private TAIL_DEAL tailDeal;

    @Column(name="CONS_TYPE")
    @ApiParam(value ="接续方式")
    private CONSTRAINT_TYPE consType;

    @Column(name="MAX_SPACE_TIME")
    @ApiParam(value ="最大时间间隔")
    private String maxSpaceTime;

    @Column(name="MIN_SPACE_TIME")
    @ApiParam(value ="最小时间间隔")
    private String minSpaceTime;
}
